import { JsonRpcProvider } from './JsonRpcProvider.js';
export class NullProvider extends JsonRpcProvider {
    constructor(options) {
        super(options);
    }
    requestImp(request) {
        const error = {
            message: "Provider not available",
            code: -32603
        };
        throw error;
    }
}
//# sourceMappingURL=NullProvider.js.map